Update section
PUT https://api.weav.com/v1/kb-sections/{id}
Requires a token with the external-api:write ability.
Path parameters
idstringrequiredFormat: uuid.
Body
namestringslugstring | nullpositioninteger | nullRequest
cURL
curl --request PUT \
--url 'https://api.weav.com/v1/kb-sections/{id}' \
--header "Authorization: Bearer ${WEAV_API_TOKEN}" \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"slug": "string",
"position": 1
}'
JavaScript
const body = {
"name": "string",
"slug": "string",
"position": 1
};
const response = await fetch("https://api.weav.com/v1/kb-sections/{id}", {
method: "PUT",
headers: {
Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
'Content-Type': 'application/json'
},
body: JSON.stringify(body)
});
console.log(await response.json());
Python
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"name": "string", "slug": "string", "position": 1}
response = requests.put("https://api.weav.com/v1/kb-sections/{id}", headers=headers, json=body)
print(response.json())
PHP
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('PUT', 'https://api.weav.com/v1/kb-sections/{id}', [
'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
'json' => array (
'name' => 'string',
'slug' => 'string',
'position' => 1,
),
]);
echo $response->getBody();
Response
200 OK
{
"id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"name": "string",
"slug": "string",
"position": 0,
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}
422Unprocessable Content404Not Found
Response fields
idstringFormat: uuid.
namestringslugstringpositioninteger | nullcreated_atstring | nullFormat: date-time.
updated_atstring | nullFormat: date-time.
